@import "./global-config-light.css";

:root {
  --primary: rgb(1, 191, 168);
  --secondary: rgb(1, 123, 254);
  --tertiary: rgb(255, 98, 142);
  --success: rgb(44, 175, 126);
  --selected: rgb(235, 228, 63);
  --hint: rgb(251, 180, 18);
  --failure: rgb(250, 90, 101);
  --text: rgb(68, 68, 68);
  --text2: rgb(12, 39, 92);
  --text3: rgb(219, 234, 252);
  --text5: rgb(255, 255, 255);
  --textBtn: rgb(255, 255, 255);
  --border: rgb(216, 216, 216);
  --background1: rgb(255, 255, 255);
  --background2: rgb(219, 234, 252);
  --background3: rgb(10, 91, 204);
  --background4: rgb(10, 11, 12);
  --background5: rgb(30, 77, 169);
  --background1_v: 255, 255, 255;
  --background2_v: 219, 234, 252;
  --background3_v: 10, 91, 204;
  --background4_v: 10, 11, 12;
  --background5_v: 30, 77, 169;

  --font-size: 14px;
  --register-bg: rgb(255, 255, 255);
  --primary-filter: brightness(0) saturate(100%) invert(52%) sepia(70%) saturate(621%) hue-rotate(125deg) brightness(95%) contrast(99%);
  --secondary-filter: brightness(0) saturate(100%) invert(35%) sepia(100%) saturate(4023%) hue-rotate(201deg) brightness(105%) contrast(103%);
  --text5-filter: brightness(0) saturate(100%) invert(99%) sepia(16%) saturate(2%) hue-rotate(225deg) brightness(116%) contrast(100%);

}

/**
  color system classes
*/
:root {
  --bg-opacity: 0;
  --bg-base-color: var(--primary);

  --bo-t: 0;
  --bo-l: 0;
  --bo-w: 100%;
  --bo-h: 2px;
  --bo-z: 1;
  --bo-opacity: 0;
  --bo-base-color: var(--border);
}

.ol-bg-dark {
  background: linear-gradient(0deg,
      rgba(0, 0, 0, var(--bg-opacity)) 0%,
      rgba(0, 0, 0, var(--bg-opacity)) 100%),
    var(--bg-base-color);
}

.ol-bg-light {
  background: linear-gradient(0deg,
      rgba(255, 255, 255, var(--bg-opacity)) 0%,
      rgba(255, 255, 255, var(--bg-opacity)) 100%),
    var(--bg-base-color);
}

.ol-bo-dark {
  position: relative;
}

.ol-bo-dark::after {
  content: "";
  position: absolute;
  width: var(--bo-w);
  height: var(--bo-h);
  top: var(--bo-t);
  left: var(--bo-l);
  z-index: var(--bo-z);
  background: linear-gradient(0deg,
      rgba(0, 0, 0, var(--bo-opacity)) 0%,
      rgba(0, 0, 0, var(--bo-opacity)) 100%),
    var(--bo-base-color);
}

.ol-bo-light {
  position: relative;
}

.ol-bo-light::after {
  content: "";
  position: absolute;
  width: var(--bo-w);
  height: var(--bo-h);
  top: var(--bo-t);
  left: var(--bo-l);
  z-index: var(--bo-z);
  background: linear-gradient(0deg,
      rgba(255, 255, 255, var(--bo-opacity)) 0%,
      rgba(255, 255, 255, var(--bo-opacity)) 100%),
    var(--bo-base-color);
}

/**
  color system classes end
*/